import { PortfolioProvider } from "./portfolio";
import { QuoteProvider } from "./quote";

export interface Exchange<Credentials> {
    readonly credentials: Credentials;

    readonly portfolioProvider: PortfolioProvider;
    readonly quoteProvider: QuoteProvider;

    readonly name: string;
}